package quote_price;

public class StringSubTest {

	public static void main(String[] args) {
		String remark = "（2048017321392264809）-21x28.5cm-50张-吊旗300克铜板纸双面不覆膜-YX-qq19578773-河北省-小钰.cdr";
		// 处理备注
		remark = remark.replaceAll(" ", "").replace("x", "X").replace("×", "X").replace("(", "（").replace(")", "）");
		System.out.println(remark);
		System.out.println(remark.indexOf("）-") + 2);
		System.out.println(remark.indexOf("mm"));
		String size = remark.substring(remark.indexOf("）-") + 2, remark.indexOf("mm"));
		System.out.println(size);
		
		String[] split = size.split("X");
		System.out.println(split[0]);

	}

}
